Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.heuristic.selector.entity.pillar
Class PillarSelectorConfig

    java.lang.Object
      org.optaplanner.core.config.heuristic.selector.SelectorConfig
          org.optaplanner.core.config.heuristic.selector.entity.pillar.PillarSelectorConfig

    public class PillarSelectorConfig

extends SelectorConfig

Field Summary
`protected EntitySelectorConfig` | `entitySelectorConfig`
`protected Integer` | `maximumSubPillarSize`
`protected Integer` | `minimumSubPillarSize`
`protected Boolean` | `subPillarEnabled`

Constructor Summary
`PillarSelectorConfig()`

Method Summary
`PillarSelector` | `buildPillarSelector(HeuristicConfigPolicy configPolicy, SelectionCacheType minimumCacheType, SelectionOrder inheritedSelectionOrder)`
`EntitySelectorConfig` | `getEntitySelectorConfig()`
`Integer` | `getMaximumSubPillarSize()`
`Integer` | `getMinimumSubPillarSize()`
`Boolean` | `getSubPillarEnabled()`
`void` | `inherit(PillarSelectorConfig inheritedConfig)`
`void` | `setEntitySelectorConfig(EntitySelectorConfig entitySelectorConfig)`
`void` | `setMaximumSubPillarSize(Integer maximumSubPillarSize)`
`void` | `setMinimumSubPillarSize(Integer minimumSubPillarSize)`
`void` | `setSubPillarEnabled(Boolean subPillarEnabled)`
`String` | `toString()`

Methods inherited from class org.optaplanner.core.config.heuristic.selector.SelectorConfig
`deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptors, inherit, validateCacheTypeVersusSelectionOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### entitySelectorConfig

    protected EntitySelectorConfig entitySelectorConfig

### subPillarEnabled

    protected Boolean subPillarEnabled

### minimumSubPillarSize

    protected Integer minimumSubPillarSize

### maximumSubPillarSize

    protected Integer maximumSubPillarSize

Constructor Detail

### PillarSelectorConfig

    public PillarSelectorConfig()

Method Detail

### getEntitySelectorConfig

    public EntitySelectorConfig getEntitySelectorConfig()

### setEntitySelectorConfig

    public void setEntitySelectorConfig(EntitySelectorConfig entitySelectorConfig)

### getSubPillarEnabled

    public Boolean getSubPillarEnabled()

### setSubPillarEnabled

    public void setSubPillarEnabled(Boolean subPillarEnabled)

### getMinimumSubPillarSize

    public Integer getMinimumSubPillarSize()

### setMinimumSubPillarSize

    public void setMinimumSubPillarSize(Integer minimumSubPillarSize)

### getMaximumSubPillarSize

    public Integer getMaximumSubPillarSize()

### setMaximumSubPillarSize

    public void setMaximumSubPillarSize(Integer maximumSubPillarSize)

### buildPillarSelector

    public PillarSelector buildPillarSelector(HeuristicConfigPolicy configPolicy,
                                              SelectionCacheType minimumCacheType,
                                              SelectionOrder inheritedSelectionOrder)

  Parameters:
    `configPolicy` - never null
    `minimumCacheType` - never null, If caching is used (different from `SelectionCacheType.JUST_IN_TIME`), then it should be at least this `SelectionCacheType` because an ancestor already uses such caching and less would be pointless.
    `inheritedSelectionOrder` - never null
  Returns:
    never null

### inherit

    public void inherit(PillarSelectorConfig inheritedConfig)

### toString

    public String toString()

  Overrides:
    `toString` in class `SelectorConfig`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.